/**
 * 提报套打模板List.js
 */
shr.defineClass("shr.custom.submitShemeTemplateList", shr.framework.List, {
    initalizeDOM: function () {
        shr.custom.submitShemeTemplateList.superClass.initalizeDOM.call(this);
    },
    /**
     *更新模板（不更新模板变量）
     */
    updateTemplateAction: function () {
        var idArray = this.getSelectedFields("id");
        if (idArray.length == 0) {
            shr.showError({
                message: "请选择需要维护的套打模板！</br> You must select at least one record!",
            });
            return;
        } else if (idArray.length > 1) {
            shr.showError({
                message: "只能选择一条记录进行维护！</br> You can only select one record to maintain!",
            });
            return;
        }
        this.reloadPage({
            uipk: "com.kingdee.eas.custom.compensation.app.SubmitShemeTemplate2.form",
            method: "edit",
            billId: idArray[0],
        });
    },

});
